function Mju = M_j(u,j,k,zeta)

m = (length(u)+3)/6;
i1 = (1:2*m-1)'; i2 = i1+2*m-1; i3 = i2+2*m-1;
u1 = u(i1); u2 = u(i2); u3 = u(i3);

ell = (-m+1:m-1)';

vec = exp(1i*j*k*ell*zeta);
Mju1 = u1 - cos(j*zeta)*vec.*u1 + sin(j*zeta)*vec.*u2;
Mju2 = u2 - sin(j*zeta)*vec.*u1 - cos(j*zeta)*vec.*u2;
Mju3 = u3 - vec.*u3;

Mju = [Mju1;Mju2;Mju3];

end

