function [x,it] = Newton_F_choreographies(x,tu,par)

tol = 5e-15; %% tolerance for Newton's method

F = F_choreographies(x,tu,par);

nF = norm(F);
display(['Before Newton, ||F|| = ',num2str(nF)])

it = 0;
DF = DF_choreographies(x,tu,par);

while (it<=100) && (nF > tol)
    x = x - DF\F;
    F = F_choreographies(x,tu,par);
    nF = norm(F);
    %display(['||F|| = ',num2str(nF),', ||DF^(-1)|| = ',num2str(norm(inv(DF),1))])
    it = it+1;              
    DF = DF_choreographies(x,tu,par);
end

display(['After Newton, ||F|| = ',num2str(nF),', ||DF^(-1)|| = ',num2str(norm(inv(DF),1))])

end
