function [Psi] = int_Psi_bound(alpha,m,nu)

N = (length(alpha)-1)/2;

Psi = zeros(2*m-1,1);

for ell = -m+1:m-1
    
    s1 = (ell-N:-m)'; s2 = (m:ell+N)';
    
    max1 = max(sup(abs(alpha(ell-s1+N+1))./nu.^abs(s1)));
    max2 = max(sup(abs(alpha(ell-s2+N+1))./nu.^abs(s2)));
    
    Psi(ell+m) = max(max1,max2);
    
end

end
