function [s] = quintic(a1,a2,a3,a4,a5)

m=(length(a1)+1)/2;

ta1=[zeros(2*m,1);a1;zeros(2*m,1)];
tu1=ifft(ifftshift(ta1));

ta2=[zeros(2*m,1);a2;zeros(2*m,1)];
tu2=ifft(ifftshift(ta2));

ta3=[zeros(2*m,1);a3;zeros(2*m,1)];
tu3=ifft(ifftshift(ta3));

ta4=[zeros(2*m,1);a4;zeros(2*m,1)];
tu4=ifft(ifftshift(ta4));

ta5=[zeros(2*m,1);a5;zeros(2*m,1)];
tu5=ifft(ifftshift(ta5));

F=fftshift(fft(tu1.*tu2.*tu3.*tu4.*tu5));
s=(6*m-1)^4*F(2*m+1:4*m-1);

end

